| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# iutil/document.h File Reference

Document Interface. More...

`#include "csutil/scf.h"`

Go to the source code of this file.

## Classes
struct | iDocument
| Representation of a document containing a hierarchical structure of nodes. More...
struct | iDocumentAttribute
| An attribute for an iDocumentNode. More...
struct | iDocumentAttributeIterator
| An iterator over iDocumentNode attributes. More...
struct | iDocumentNode
| Representation of a node in a document. More...
struct | iDocumentNodeIterator
| An iterator over iDocumentNode. More...
struct | iDocumentSystem
| An iDocument factory. More...
## Document changeabilty
#define | CS_CHANGEABLE_NEVER 0
| The document can not be changed, CreateRoot() is not supported.
#define | CS_CHANGEABLE_NEWROOT 1
| The document only allows changes with a newly created root.
#define | CS_CHANGEABLE_YES 2
| The document can be changed.
## Enumerations
enum | csDocumentNodeType { CS_NODE_DOCUMENT = 1, CS_NODE_ELEMENT, CS_NODE_COMMENT, CS_NODE_UNKNOWN, CS_NODE_TEXT, CS_NODE_DECLARATION }
| Possible node types for iDocumentNode. More...

## Detailed Description

Document Interface.

Definition in file document.h.